package services

import (
	"context"
	_ "embed"
	"eta/eta_mini_api/utils"
)

//go:embed lua\verify_code.lua
var luaVerifyCacheIncr string

type VerifyCacheIncrService struct {
}

func (v *VerifyCacheIncrService) VerifyCacheIncr(key string, expireInSeconds int) error {
	return utils.Redis.Eval(context.Background(), luaVerifyCacheIncr, []string{key}, expireInSeconds).Err()
}
